Bug 740263 - Graphical artefact when starting application on empty workspace
Summary: Graphical artefact when starting application on empty workspace
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:34 UTC by Michael Schwendt
Modified: 2013-02-13 20:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 20:55:13 UTC


Attachments (Terms of Use)
screenshot showing the window fragment right before the newly opened terminal will appear (1.76 MB, image/png)
2011-09-21 13:34 UTC, Michael Schwendt
no flags Details

Description Michael Schwendt 2011-09-21 13:34:49 UTC
Created attachment 524198 [details]
screenshot showing the window fragment right before the newly opened terminal will appear

Description of problem: In GNOME Shell, if I have a large application A1 window open on workspace 1 and start another app on workspace 2, for a brief moment, the bottom of app A1's window appears near the top of workspace 2.


Version-Release number of selected component (if applicable):
$ rpm -q mutter gnome-shell
mutter-3.1.91.1-1.fc16.x86_64
gnome-shell-3.1.91-2.fc16.x86_64


How reproducible:
Always


Steps to Reproduce:
1. on empty workspace 1, open Firefox or Claws Mail - resize the window to maximum vertical height (although less than that works, too, but not with less than 50% height)
2. switch to empty workspace 2
3. open Activities screen
4. click gnome-terminal Favorites launcher
  
Actual results:
For fractions of a second, at the top of the display the bottom of the Firefox or Claws Mail window appears, then vanishes again when the gnome-terminal appears. I've managed to make a Screenshot just before gnome-terminal appeared. [At the very left near the mouse pointer one can still see the Favorites menu having faded out almost completely. The gnome-terminal icon border can be recognized.]

Expected results:
No graphical artefacts when opening the terminal on the empty workspace 2.


Additional info: ATI Raedon HD 3450 / RV620

Comment 1 Fedora End Of Life 2013-01-16 16:51:44 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 20:55:17 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.